cask :v1 => 'pepper-flash' do
  version '18'
  sha256 :no_check # required as upstream package is updated in-place

  url "https://admdownload.adobe.com/bin/live/AdobeFlashPlayer_#{version}ppau_a_install.dmg"
  name 'Pepper Flash Player'
  homepage 'https://get.adobe.com/flashplayer/otherversions'
  license :gratis
  tags :vendor => 'Adobe'

  installer :manual => 'Install Adobe Flash Player.app'

  uninstall :pkgutil => 'com.adobe.pkg.PepperFlashPlayer',
            :delete  => '/Library/Internet Plug-Ins/PepperFlashPlayer.plugin'
  zap       :delete => [
                        '~/Library/Caches/Adobe/Flash Player',
                        '~/Library/Logs/FlashPlayerInstallManager.log',
                       ]
end
